<?php
namespace OrganizationsManagement\Service;
use \Doctrine\ORM\EntityManager;
use OrganizationsManagement\Util\Utilities;
use Teknisa\Model\Geral\Repositories as GeralRepositories;

class Estado {

    private $entityManager;
    /** @var GeralRepositories\Estado $repositoryEstado */
    private $repositoryEstado;

    public function __construct(EntityManager $entityManager){
        $this->entityManager = $entityManager;
        $this->repositoryEstado = $this->entityManager->getRepository(Utilities::GERAL_ENTITY_DIR . 'Estado');
    }

    public function obtemPorIdPais($idPais, $filters){
        return $this->repositoryEstado->obtemPorIdPais($idPais, Utilities::createQueryFiltered($filters));
    }
}