<?php
namespace OrganizationsManagement\Factory;

use Teknisa\Model\Teknisa\Entities\OmServicoNotificacao as EntityOmServicoNotificacao;
use Teknisa\Libs\Util\Environment as TeknisaEnvironment;

class NotificationServices{
    
    public function save(EntityOmServicoNotificacao $omServicoNotificacao = null, $idativo, $dsserviconotif, $nmserviconotif, $currentOrganizationId, $currentUserId, $dateNow)
    {
        if ($omServicoNotificacao === null) {
            $omServicoNotificacao = new EntityOmServicoNotificacao();
            $omServicoNotificacao->setCdoperinclusao($currentUserId);
            $omServicoNotificacao->setDtinclusao($dateNow);
            $omServicoNotificacao->setNrorginclusao($currentOrganizationId);
        }
        
        $omServicoNotificacao->setNrorg($currentOrganizationId);
        $omServicoNotificacao->setNrorgultatu($currentOrganizationId);
        $omServicoNotificacao->setIdativo($idativo);
        $omServicoNotificacao->setDsserviconotif($dsserviconotif);
        $omServicoNotificacao->setNmserviconotif($nmserviconotif);
        $omServicoNotificacao->setCdoperultatu($currentUserId);
        $omServicoNotificacao->setDtultatu($dateNow);
        
        return $omServicoNotificacao;
    }
}